# \Thelia\Core\Security\AuthenticationAdminUsernamePasswordFormAuthenticator

## Summary

Methods
Properties
Constants
__construct()
getUsername()
getAuthentifiedUser()
No public properties found
No constants found
No protected methods found
$request
$loginForm
$userProvider
$options
$baseLoginForm
N/A
No private methods found
No private properties found
N/A

File
  Core/Security/Authentication/AdminUsernamePasswordFormAuthenticator.php
Package
  \Default
Class hierarchy
  \Thelia\Core\Security\Authentication\UsernamePasswordFormAuthenticator
  \Thelia\Core\Security\Authentication\AdminUsernamePasswordFormAuthenticator

## Tags

None found

## Properties

### $request

    $request

#

Inherited from
  \Thelia\Core\Security\Authentication\UsernamePasswordFormAuthenticator

## Tags

None found

### $loginForm

    $loginForm

#

Inherited from
  \Thelia\Core\Security\Authentication\UsernamePasswordFormAuthenticator

## Tags

None found

### $userProvider

    $userProvider

#

Inherited from
  \Thelia\Core\Security\Authentication\UsernamePasswordFormAuthenticator

## Tags

None found

### $options

    $options

#

Inherited from
  \Thelia\Core\Security\Authentication\UsernamePasswordFormAuthenticator

## Tags

None found

### $baseLoginForm

    $baseLoginForm

#

Inherited from
  \Thelia\Core\Security\Authentication\UsernamePasswordFormAuthenticator

## Tags

None found

## Methods

### __construct()

    __construct(\Symfony\Component\HttpFoundation\Request $request, \Thelia\Form\BaseForm $loginForm, \Thelia\Core\Security\UserProvider\UserProviderInterface $userProvider, array $options)

#### Parameters

\Symfony\Component\HttpFoundation\Request | $request |
\Thelia\Form\BaseForm | $loginForm |
\Thelia\Core\Security\UserProvider\UserProviderInterface | $userProvider |
array | $options |

#

Inherited from
  \Thelia\Core\Security\Authentication\UsernamePasswordFormAuthenticator

## Tags

None found

### getUsername()

    getUsername() : string

#### Returns

string —

the username value

#

Inherited from
  \Thelia\Core\Security\Authentication\UsernamePasswordFormAuthenticator

## Tags

None found

### getAuthentifiedUser()

    getAuthentifiedUser()

#

Inherited from
  \Thelia\Core\Security\Authentication\UsernamePasswordFormAuthenticator
See also

## Tags

None found

### AdminUsernamePasswordFormAuthenticator.php